Update team

PATCH /api/v1/advisory-firms/{firm_id}/teams/{team_id}

Update a team's name or description.

Operation ID: update_team_api_v1_advisory_firms__firm_id__teams__team_id__patch · View as markdown · OpenAPI slice

Authentication

Bearer token authentication. Pass your DayZero API token in the Authorization header and the target business UUID in x-business-id.

Parameters

Path

firm_id string required
team_id string required

Request body

name string
description string

Responses

200 Successful Response

id string required
firm_id string required
name string required
description string
created_by string required
member_count integer
business_count integer
created_at string · date-time required
updated_at string · date-time required

400 Bad Request - Invalid input

401 Unauthorized - Authentication required

403 Forbidden - Insufficient permissions

404 Not Found - Resource does not exist

422 Validation Error

detail array · ValidationError ValidationError
5 fields
loc array · string | integer required
msg string required
type string required
input object
ctx object